/* Microsoft SQL Server - Scripting			*/
/* Server: ISOLDER					*/
/* Database: CommerceBM					*/
/* Creation Date 6/26/97 9:11:24 AM 			*/

/****** Object:  Stored Procedure dbo.CleanILScratch    Script Date: 6/26/97 9:11:26 AM ******/
if exists (select * from sysobjects where id = object_id('dbo.CleanILScratch') and sysstat & 0xf = 4)
	drop procedure dbo.CleanILScratch
GO

/****** Object:  Stored Procedure dbo.ParseIISLog    Script Date: 6/26/97 9:11:26 AM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseIISLog') and sysstat & 0xf = 4)
	drop procedure dbo.ParseIISLog
GO

/****** Object:  Stored Procedure dbo.ParseIisPerf    Script Date: 6/26/97 9:11:26 AM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseIisPerf') and sysstat & 0xf = 4)
	drop procedure dbo.ParseIisPerf
GO

/****** Object:  Stored Procedure dbo.ParseInetLoad    Script Date: 6/26/97 9:11:26 AM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseInetLoad') and sysstat & 0xf = 4)
	drop procedure dbo.ParseInetLoad
GO

/****** Object:  Stored Procedure dbo.ParseSqlPerf    Script Date: 6/26/97 9:11:26 AM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseSqlPerf') and sysstat & 0xf = 4)
	drop procedure dbo.ParseSqlPerf
GO

/****** Object:  Stored Procedure dbo.CleanILScratch    Script Date: 6/26/97 9:11:26 AM ******/
/****** Object:  Stored Procedure dbo.CleanILScratch    Script Date: 6/3/97 10:53:31 AM ******/
create procedure CleanILScratch as begin

/* get rid of blank lines */

delete from inetloadscratch where oneline is null

/* get rid of log lines with no commas */

delete from inetloadscratch where oneline not like '%,%'

/* get rid of log lines from error */

delete from inetloadscratch where substring(oneline,1,5) = 'DATE:'
delete from inetloadscratch where substring(oneline,1,5) = 'ACCEPT:'
delete from inetloadscratch where substring(oneline,1,5) = 'LAST-'
delete from inetloadscratch where substring(oneline,1,8) = 'EXPIRES:'
end

GO

/****** Object:  Stored Procedure dbo.ParseIISLog    Script Date: 6/26/97 9:11:26 AM ******/
/****** Object:  Stored Procedure dbo.ParseIISLog    Script Date: 6/3/97 10:53:31 AM ******/
create procedure ParseIISLog 	@machineid int,
                                @suiteid int,
				@testid int
as begin

declare @fileid int


begin transaction
insert datafile (type, machineid, suiteid, testid ) values (2, @machineid, @suiteid, @testid)

select @fileid = @@identity

insert datafiledetail (fileid,operation,clienthost,starttime,timetocomplete,iisbytessent,iisbytesreceived,iisservicestatus) 
select @fileid, operation + target + parameters, clienthost, logtime, processingtime * .001, bytessent, bytesrecvd, servicestatus
  from inetlog

delete from inetlog
commit transaction

end /* procedure */
GO

/****** Object:  Stored Procedure dbo.ParseIisPerf    Script Date: 6/26/97 9:11:26 AM ******/
create procedure ParseIisPerf @suiteid int, @testid int
as begin
insert iiscpuperfmon
select @suiteid, @testid, i.* 
from IISCpuPerfMonScratch i
delete from iiscpuperfmonscratch
end

GO

/****** Object:  Stored Procedure dbo.ParseInetLoad    Script Date: 6/26/97 9:11:26 AM ******/
/****** Object:  Stored Procedure dbo.ParseInetLoad    Script Date: 6/3/97 10:53:31 AM ******/
create procedure ParseInetLoad @machineid int,
                               @suiteid int,
                               @testid int
as begin

set nocount on

/* if no records do not create datafile record and get the heck outta here */

declare @cnt int

select @cnt = count(logtime)
  from inetload

if @cnt = 0 return

/* set up a record for this data file */

declare @fileid int

insert datafile (type, machineid, suiteid, testid ) values (1, @machineid, @suiteid, @testid)

select @fileid = @@identity

insert datafiledetail (fileid, clienthost, starttime, timetocomplete, operation) 
select @fileid,
convert(varchar(30),client),
convert(datetime,logtime),
convert(float,timetocomplete * .001),
operation
from inetload
where timetocomplete <> 0 and
operation not like '%501 NOT SUPPORTED%' and
operation not like '%gif%' and 
operation not like '%jpg%'

end /* procedure */


GO

/****** Object:  Stored Procedure dbo.ParseSqlPerf    Script Date: 6/26/97 9:11:26 AM ******/
create procedure ParseSqlPerf @suiteid int, @testid int
as begin
insert sqlcpuperfmon
select @suiteid, @testid, s.* 
from SqlCpuPerfMonScratch s
delete from sqlcpuperfmonscratch
end

GO

